<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="V5Shop.Web.list" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="V5Shop.Common" %>
<%@ Import namespace="Microsoft.Practices.EnterpriseLibrary.Caching" %>
<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by V5Shop Template Engine at 2009-5-15 23:25:07.
		本页面代码由V5Shop模板引擎生成于 2009-5-15 23:25:07. 
	*/

	base.OnInit(e);
	
	int productsearch__loop__id=0;
	int keysearch__loop__id=0;
	int categorysearch__loop__id=0;
	int categorysecondsearch__loop__id=0;
	int groupbuysearch__loop__id=0;
	int brandsearch__loop__id=0;
	int listcategory__loop__id=0;
	int listproperty__loop__id=0;
	int listvalue__loop__id=0;
	int helpcategorysearch__loop__id=0;
	int helpsearchbyid__loop__id=0;
	int imglinksearch__loop__id=0;
	int wordlinksearch__loop__id=0;
	int infosearch__loop__id=0;templateBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTmL 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	templateBuilder.Append("<!--Created Page at 2008-8-8 18:47:50,by V5Shop.com.cn   V5Shop Management Systeme 8.0-->\r\n");
	templateBuilder.Append("<html>\r\n");
	templateBuilder.Append("<head><base href=\"http://localhost/0418/template/default/\" />\r\n");
	templateBuilder.Append("        <meta content=\"text/html;charset=utf-8\" http-equiv=\"Content-Type\" />\r\n");
	templateBuilder.Append("<title>" + shoptitle.ToString() + "</title>\r\n");
	templateBuilder.Append("<meta name=\"keywords\" content=\"" + keywords.ToString() + "\" />\r\n");
	templateBuilder.Append("<meta name=\"description\" content=\"" + description.ToString() + "\" />\r\n");
	templateBuilder.Append("<script language=\"javascript\" src=\"js/common.js\" type=\"text/javascript\"></"+"script>\r\n");
	templateBuilder.Append("<link href=\"css/css.css\" type=\"text/css\" rel=\"stylesheet\" />\r\n");
	templateBuilder.Append("<link rel=\"shortcut icon\" href=\"/0418/favicon.ico\" />\r\n");
	templateBuilder.Append("<link href=\"css/css_cate.css\" rel=\"stylesheet\" type=\"text/css\">\r\n");
	templateBuilder.Append("\r\n");
	 
	if(listt == "1"){
	templateBuilder.Append("<link href=\"css/css_list1.css\" id=\"listcss\" rel=\"stylesheet\" type=\"text/css\">\r\n");
	
	}else{
	templateBuilder.Append("\r\n");
	
	if(listt == "2"){
	templateBuilder.Append("<link href=\"css/css_list2.css\" id=\"listcss\" rel=\"stylesheet\" type=\"text/css\">\r\n");
	
	}else{
	templateBuilder.Append("<link href=\"css/css_list.css\" id=\"listcss\" rel=\"stylesheet\" type=\"text/css\">\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	templateBuilder.Append("	<style type=\"text/css\">\r\n");
	templateBuilder.Append("		.SearchResultReport{\r\n");
	templateBuilder.Append("			background:transparent url(images/products/icon_arrow_rb.gif) no-repeat scroll left top;clear:both;\r\n");
	templateBuilder.Append("			height:20px;line-height:20px;margin-top:5px;text-indent:18px;}\r\n");
	templateBuilder.Append("		.CategoryListTableLevel1{\r\n");
	templateBuilder.Append("			margin:0px;\r\n");
	templateBuilder.Append("			padding-left:30px;\r\n");
	templateBuilder.Append("		}	\r\n");
	templateBuilder.Append("		.CategoryListTableLevel1 li{\r\n");
	templateBuilder.Append("			float:left;\r\n");
	templateBuilder.Append("			padding:8px;\r\n");
	templateBuilder.Append("		}	\r\n");
	templateBuilder.Append("			\r\n");
	templateBuilder.Append("		.property{\r\n");
	templateBuilder.Append("			background:transparent url(images/products/icon_arrow_rb.gif) no-repeat scroll left top;clear:both;\r\n");
	templateBuilder.Append("			height:20px;line-height:20px;margin-top:5px;text-indent:18px;border-top:1px dashed #CCCCCC}\r\n");
	templateBuilder.Append("		.proplist{\r\n");
	templateBuilder.Append("			margin:0px;\r\n");
	templateBuilder.Append("			padding-left:30px;\r\n");
	templateBuilder.Append("		}\r\n");
	templateBuilder.Append("		.proplist li {\r\n");
	templateBuilder.Append("			float:left;\r\n");
	templateBuilder.Append("			padding:8px;\r\n");
	templateBuilder.Append("		}\r\n");
	templateBuilder.Append("	</style>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("<script language=\"javascript\" src=\"js/prototype.js\" type=\"text/javascript\"></"+"script>\r\n");
	templateBuilder.Append("<script language=\"javascript\" type=\"text/javascript\">var path = '/0418/';</"+"script>\r\n");
	templateBuilder.Append("<script language=\"javascript\" src=\"js/list.js\" type=\"text/javascript\"></"+"script>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("</head>\r\n");
	templateBuilder.Append("<body text=000000 link=0000cc vlink=0000cc alink=ff6600 topmargin=\"0\" leftmargin=\"0\" bottommargin=\"0\" rightmargin=\"0\">\r\n");
	templateBuilder.Append("<center>\r\n");
	templateBuilder.Append("        <div><div class=\"top1\"><div style=\"height:60px; overflow:hidden; float:left\"><div id=\"newobj\">\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","0,5,0,0,OrderID,ASC,0,0,0,[id]$[name]$[srcdetail]$[marketprice]$[memberprice],1,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 5 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<div class='top1l'><div class=\"top1l\">\r\n");
	templateBuilder.Append("<div class=\"top1ll\"><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img height=\"50\" alt=\"" + left(productsearch_member["name"].ToString(),10) + "\" width=\"50\" border=\"0\" src='" + gettmpimg(productsearch_member["srcdetail"].ToString(),50,50) + "' width='50' height='50'  /></a></div>\r\n");
	templateBuilder.Append("<div class=\"top1lr\"><b><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\">" + left(productsearch_member["name"].ToString(),10) + "</a></b><br />\r\n");
	templateBuilder.Append("<s>￥" + productsearch_member["marketprice"].ToString() + "</s> &rarr; <font color=\"#ff6600\">￥" + productsearch_member["memberprice"].ToString() + "</font></div>\r\n");
	templateBuilder.Append("</div></div>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div></div><script language=\"javascript\" type=\"text/javascript\">\r\n");
	templateBuilder.Append("var speed1 = 11;\r\n");
	templateBuilder.Append("var start1 = 0;\r\n");
	templateBuilder.Append("var end1 = -60;\r\n");
	templateBuilder.Append("var totolnum = 4;\r\n");
	templateBuilder.Append("var per = -60;\r\n");
	templateBuilder.Append("var timer = 5000;\r\n");
	templateBuilder.Append("function Moveup(){\r\n");
	templateBuilder.Append("var obj1 = document.getElementById(\"newobj\");\r\n");
	templateBuilder.Append("start1 = start1 - speed1\r\n");
	templateBuilder.Append("speed1--;\r\n");
	templateBuilder.Append("obj1.style.marginTop = start1 + \"px\";\r\n");
	templateBuilder.Append("if(start1 > end1){\r\n");
	templateBuilder.Append("setTimeout(\"Moveup()\",6);\r\n");
	templateBuilder.Append("}else{\r\n");
	templateBuilder.Append("if(totolnum*per == end1){\r\n");
	templateBuilder.Append("obj1.style.marginTop = \"0px\";\r\n");
	templateBuilder.Append("start1 = 0;\r\n");
	templateBuilder.Append("end1 = per;\r\n");
	templateBuilder.Append("}else{\r\n");
	templateBuilder.Append("obj1.style.marginTop = end1 + \"px\";\r\n");
	templateBuilder.Append("end1 = end1 + per;\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("speed1 = 11;\r\n");
	templateBuilder.Append("setTimeout(\"Moveup()\",timer);\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("setTimeout(\"Moveup()\",timer);\r\n");
	templateBuilder.Append("</"+"script>\r\n");
	templateBuilder.Append("<div class=\"toplogo\"><a href=\"" + logourl.ToString() + "\"><img alt=\"\" width=\"236\" border=\"0\" src=\"" + logo.ToString() + "\" /></a></div>\r\n");
	templateBuilder.Append("<div class=\"top1r\"><a href=\"/0418/mallindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/top/key_shop.gif\" /></a><a href=\"/0418/articleindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/top/key_events.gif\" /></a><a href=\"/0418/message.aspx\"><img alt=\"\" border=\"0\" src=\"images/top/key_message.gif\" /></a><a href=\"/0418/content.aspx?wd=about\"><img alt=\"\" border=\"0\" src=\"images/top/key_about.gif\" /></a><a href=\"/0418/content.aspx?wd=contact\"><img alt=\"\" border=\"0\" src=\"images/top/key_contact.gif\" /></a></div>\r\n");
	templateBuilder.Append("</div><div class=\"top2\"><div class=\"lanmudefault\"><a href=\"/0418/index.aspx\" name=\"topurl\"><span>首页</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/brandindex.aspx\" name=\"topurl\"><span>品牌</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/activityindex.aspx\" name=\"topurl\"><span>活动</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/guideindex.aspx\" name=\"topurl\"><span>导购</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/couponindex.aspx\" name=\"topurl\"><span>优惠券</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/scoreindex.aspx\" name=\"topurl\"><span>兑换</span></a></div><div class=\"lanmudefault\"><a href=\"/0418/groupbuyindex.aspx\" name=\"topurl\"><span>团购</span></a></div><div class=\"lanmudefault\"><a class=\"end\" href=\"/0418/snatchindex.aspx\" name=\"topurl\"><span>夺宝奇兵</span></a></div><div class=\"top2r\"><script language=\"javascript\">\r\n");
	templateBuilder.Append("function showmenu(){\r\n");
	templateBuilder.Append("    var url = document.URL;\r\n");
	templateBuilder.Append("    \r\n");
	templateBuilder.Append("    var urls = document.getElementsByName(\"topurl\");\r\n");
	templateBuilder.Append("    for(var i=0;i<urls.length;i++){\r\n");
	templateBuilder.Append("        if(urls[i] == url){\r\n");
	templateBuilder.Append("            urls[i].parentNode.className = 'lanmuselect';\r\n");
	templateBuilder.Append("			return;\r\n");
	templateBuilder.Append("        }\r\n");
	templateBuilder.Append("    }\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	urls[0].parentNode.className = 'lanmuselect';\r\n");
	templateBuilder.Append("}\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("showmenu();\r\n");
	templateBuilder.Append("</"+"script>\r\n");
	templateBuilder.Append("<script language=\"javascript\" type=\"text/javascript\" src=\"/0418/js_userinfo.aspx?p=" + pagenow.ToString() + "\"></"+"script>&nbsp;&nbsp;&nbsp;&nbsp; <a target=\"_blank\" href=\"/0418/member/\">会员之家</a> | <a target=\"_blank\" href=\"/0418/cart.aspx\">购物车</a> | <a target=\"_blank\" href=\"/0418/helpindex.aspx\">帮助中心</a></div></div><div class=\"top3\">\r\n");
	templateBuilder.Append("  <div class=\"top3m\">\r\n");
	templateBuilder.Append("    <div class=\"top3ml\"><a href=\"/0418/mallindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/top/catelabel.gif\" /></a></div>\r\n");
	templateBuilder.Append("    <div class=\"top3mm\">\r\n");
	templateBuilder.Append("	<script language=\"javascript\">var spath = '/0418/';</"+"script>\r\n");
	templateBuilder.Append("	<script language=\"javascript\" src=\"js/changeType.js\"></"+"script>\r\n");
	templateBuilder.Append("      <form id=\"searchform\" action=\"/0418/list.aspx\" onsubmit=\"changeURL()\">\r\n");
	templateBuilder.Append("        <select id=\"SearchType\" onchange=\"document.getElementById('searchform').action = this.options[this.selectedIndex].value\">\r\n");
	templateBuilder.Append("          <option value=\"/0418/list.aspx\" selected=\"selected\">查询商品</option>\r\n");
	templateBuilder.Append("          <option value=\"/0418/articlelist.aspx\">查询文章</option>\r\n");
	templateBuilder.Append("          <option value=\"/0418/shippingadvice.aspx\">发货通知</option>\r\n");
	templateBuilder.Append("        </select>\r\n");
	templateBuilder.Append("        <input class=\"input\" name=\"wd\" type=\"text\" />\r\n");
	templateBuilder.Append("        <input style=\"vertical-align: bottom\" type=\"image\" src=\"images/top/searchkey.gif\" />\r\n");
	templateBuilder.Append("      </form>\r\n");
	templateBuilder.Append("	  <script language=\"javascript\">ChooseSelect()</"+"script>\r\n");
	templateBuilder.Append("    </div>\r\n");
	templateBuilder.Append("    <div class=\"top3mr\">\r\n");
	
	keysearch__loop__id=0;
	foreach(DataRow keysearch_member in getTable("keysearch","0").Rows)
	{
	if(keysearch__loop__id == 6 && keysearch__loop__id != 0) break;
		keysearch__loop__id++;
	templateBuilder.Append("<a title=\"" + left(keysearch_member["name"].ToString(),6) + "\" href=\"/0418/list.aspx?wd=" + keysearch_member["EncodeName"].ToString() + "\" style=\"color:white;\">" + left(keysearch_member["name"].ToString(),6) + "</a>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("<div class=\"top4\"><img alt=\"\" src=\"images/top/catebgt.gif\" /></div>\r\n");
	templateBuilder.Append("        \r\n");
	templateBuilder.Append("        </div>\r\n");
	templateBuilder.Append("<div class=\"div1\">\r\n");
	templateBuilder.Append("  <div class=\"div1l\"> \r\n");
	templateBuilder.Append("    <div class=\"catebg\">\r\n");
	templateBuilder.Append("<div class=\"catelist\">\r\n");
	
	categorysearch__loop__id=0;
	foreach(DataRow categorysearch_member in getTable("categorysearch","0,7,0,0,[id]$[name]").Rows)
	{
	if(categorysearch__loop__id == 7 && categorysearch__loop__id != 0) break;
		categorysearch__loop__id++;
	templateBuilder.Append("<div class=''><div class=\"cate\"><a target=\"_blank\" href=\"/0418/category.aspx?id=" + categorysearch_member["id"].ToString() + "\">" + left(categorysearch_member["name"].ToString(),0) + "</a></div>\r\n");
	templateBuilder.Append("<ul>\r\n");
	
	categorysecondsearch__loop__id=0;
	foreach(DataRow categorysecondsearch_member in getTable("categorysecondsearch","["+categorysearch_member["id"]+"],10,0,0,[id]$[name]").Rows)
	{
	if(categorysecondsearch__loop__id == 10 && categorysecondsearch__loop__id != 0) break;
		categorysecondsearch__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"/0418/list.aspx?id=" + categorysecondsearch_member["id"].ToString() + "\">" + left(categorysecondsearch_member["name"].ToString(),30) + "</a></li>\r\n");
	
	if((categorysecondsearch__loop__id % 1 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div>\r\n");
	
	}	//end loop
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"catebgb\"><a href=\"/0418/mallindex.aspx\"><img height=\"15\" alt=\"\" width=\"65\" border=\"0\" src=\"images/index/morekey.gif\" /></a></div>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("    <div class=\"div1tgspt\"></div><div class=\"div1tgspbg\"><div class=\"div1tgsp\"><ul>\r\n");
	
	groupbuysearch__loop__id=0;
	foreach(DataRow groupbuysearch_member in getTable("groupbuysearch","5,OrderID,ASC,0,[id]$[srclist]$[name]$[marketprice]$[price]$[startdate]").Rows)
	{
	if(groupbuysearch__loop__id == 5 && groupbuysearch__loop__id != 0) break;
		groupbuysearch__loop__id++;
	templateBuilder.Append("<li><span><a target=\"_blank\" href=\"/0418/groupbuy.aspx?id=" + groupbuysearch_member["id"].ToString() + "\"><img alt=\"\" src='" + gettmpimg(groupbuysearch_member["srclist"].ToString(),60,60) + "' width='60' height='60'  /></a></span>\r\n");
	templateBuilder.Append("<div><b><a target=\"_blank\" href=\"/0418/groupbuy.aspx?id=" + groupbuysearch_member["id"].ToString() + "\">" + left(groupbuysearch_member["name"].ToString(),6) + "</a></b><br />\r\n");
	templateBuilder.Append("<img alt=\"\" src=\"images/index/icon_price1.gif\" /> <s>￥" + groupbuysearch_member["marketprice"].ToString() + "</s><br />\r\n");
	templateBuilder.Append("<img alt=\"\" src=\"images/index/icon_price2.gif\" /> ￥" + groupbuysearch_member["price"].ToString() + "<br />\r\n");
	templateBuilder.Append("<span>" + ConvertDate(groupbuysearch_member["startdate"].ToString(),"YY04.MM.DD") + "</span></div></li>\r\n");
	
	if((groupbuysearch__loop__id % 1 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul> <a href=\"/0418/groupbuyindex.aspx\"><img alt=\"\" border=\"0\" src=\"images/index/tgzqkey.gif\" /></a></div></div><div class=\"div1tgspb\"></div>\r\n");
	templateBuilder.Append("    <div style=\"width:174px; background:#FFFFFF; text-align:left; border:1px #DDDDDD solid; margin-top:10px\"><div class=\"div1lbg\"><div><img alt=\"\" src=\"images/others/brandlabel.gif\" /></div><div><ul>\r\n");
	
	brandsearch__loop__id=0;
	foreach(DataRow brandsearch_member in getTable("brandsearch","7,OrderID,ASC,0,[id]$[name],["+r+"]").Rows)
	{
	if(brandsearch__loop__id == 7 && brandsearch__loop__id != 0) break;
		brandsearch__loop__id++;
	templateBuilder.Append("<li><a href=\"/0418/brand.aspx?id=" + brandsearch_member["id"].ToString() + "\" title=\"" + left(brandsearch_member["name"].ToString(),10) + "\">" + left(brandsearch_member["name"].ToString(),10) + "</a><br /></li>\r\n");
	
	if((brandsearch__loop__id % 1 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div></div></div>\r\n");
	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("  <div class=\"div1r\">\r\n");
	templateBuilder.Append("    <div class=\"address1\"><b>当前位置：</b> " + pathstr.ToString() + " " + ptitle.ToString() + "</div>	\r\n");
	templateBuilder.Append("		\r\n");
	templateBuilder.Append("<div style=\"width:720px;\">\r\n");
				
	if(wd != ""){
	templateBuilder.Append("				<div  class=\"SearchResultReport\">\r\n");
	templateBuilder.Append("					在当前分类中搜索“<b> " + wd.ToString() + " </b>”共找到<span class=\"B H\">" + procount.ToString() + "</span>条结果：\r\n");
	templateBuilder.Append("				</div>\r\n");
				
	}	//end if
		templateBuilder.Append("			<div class=\"SubCategoryBox\">\r\n");
	templateBuilder.Append("				<ul class=\"CategoryListTableLevel1 hesper:expander\">\r\n");
						
	listcategory__loop__id=0;
	foreach(DataRow listcategory_member in getTable("listcategory","["+cid+"],["+wd+"]").Rows)
	{
		listcategory__loop__id++;
	templateBuilder.Append("					<li><a href=\"/0418/list.aspx?wd=" + encodewd.ToString() + "&id=" + listcategory_member["id"].ToString() + "\">" + listcategory_member["name"].ToString() + "</a>[" + listcategory_member["count"].ToString() + "]</li>\r\n");
						
	}	//end loop
	templateBuilder.Append("				</ul>\r\n");
	templateBuilder.Append("			</div>\r\n");
	templateBuilder.Append("		</div>\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	\r\n");
		
	if(catcount == "0"){
	templateBuilder.Append("		<div style=\"width:720px;\">\r\n");
				
	listproperty__loop__id=0;
	foreach(DataRow listproperty_member in getTable("listproperty","["+cid+"],["+pid+"]").Rows)
	{
		listproperty__loop__id++;
	templateBuilder.Append("				<div class=\"property\">\r\n");
	templateBuilder.Append("				按<strong>" + listproperty_member["name"].ToString() + "</strong>选择：</div>\r\n");
	templateBuilder.Append("				<ul class=\"proplist\">\r\n");
						
	listvalue__loop__id=0;
	foreach(DataRow listvalue_member in getTable("listvalue","["+cid+"],["+vid+"],["+pid+"],["+wd+"]").Rows)
	{
		listvalue__loop__id++;
							
	if(listvalue_member["pid"].ToString() == listproperty_member["pid"].ToString()){
	templateBuilder.Append("						<li>\r\n");
	templateBuilder.Append("							<a href=\"/0418/list.aspx?wd=" + wd.ToString() + "--&id=" + cid.ToString() + "&vid=" + vid.ToString() + "||" + listvalue_member["valueid"].ToString() + "&pid=" + pid.ToString() + "||" + listvalue_member["pid"].ToString() + "&ptitle= " + ptitle.ToString() + " &gt; " + listvalue_member["value"].ToString() + "[" + listvalue_member["count"].ToString() + "]\">" + listvalue_member["value"].ToString() + "</a>\r\n");
	templateBuilder.Append("							[" + listvalue_member["count"].ToString() + "]\r\n");
	templateBuilder.Append("						</li>\r\n");
							
	}	//end if
						
	}	//end loop
	templateBuilder.Append("				</ul>\r\n");
				
	}	//end loop
	templateBuilder.Append("		</div>\r\n");
		
	}	//end if
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	<div style=\"clear:both\"></div>\r\n");
	templateBuilder.Append("	<hr />\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	<script language=\"javascript\">\r\n");
	templateBuilder.Append("		function CompareProduct(){\r\n");
	templateBuilder.Append("			var ids = \"0\";\r\n");
	templateBuilder.Append("			var com = document.getElementsByName(\"compareid\");\r\n");
	templateBuilder.Append("			for(var i=0;i<com.length;i++){\r\n");
	templateBuilder.Append("				if(com[i].checked == true){\r\n");
	templateBuilder.Append("					ids = ids + \"$\" + com[i].value;\r\n");
	templateBuilder.Append("				}\r\n");
	templateBuilder.Append("			}\r\n");
	templateBuilder.Append("			\r\n");
	templateBuilder.Append("			if(ids == \"0\"){\r\n");
	templateBuilder.Append("				alert('请选择您要比较的商品');\r\n");
	templateBuilder.Append("				return false;\r\n");
	templateBuilder.Append("			}\r\n");
	templateBuilder.Append("			\r\n");
	templateBuilder.Append("			document.getElementById(\"compareid\").value = ids;\r\n");
	templateBuilder.Append("			var obj = document.getElementById(\"compareform\");\r\n");
	templateBuilder.Append("			obj.submit();\r\n");
	templateBuilder.Append("		}\r\n");
	templateBuilder.Append("	</"+"script>\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	<!--筛选条件-->\r\n");
	templateBuilder.Append("	<div id=\"DisplaySettings\" style=\"overflow:hidden;\"> \r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	    <!--titlestart-->\r\n");
	templateBuilder.Append("		\r\n");
	templateBuilder.Append("		<div style=\"float:left; padding-left:8px;\">\r\n");
	templateBuilder.Append("			<form id=\"compareform\" method=\"get\" action=\"/0418/compare.aspx\" style=\"margin:0px;\" target=\"_blank\">\r\n");
	templateBuilder.Append("			<input type=\"hidden\" name=\"ids\" id=\"compareid\" value=\"0\" />\r\n");
	templateBuilder.Append("			<img src=\"images/compare_arror_top.gif\" />\r\n");
	templateBuilder.Append("			<input type=\"button\" value=\"对比选中商品\" style=\"width:84px; height:19px;\" onclick=\"return CompareProduct()\" />\r\n");
	templateBuilder.Append("			</form>\r\n");
	templateBuilder.Append("		</div>\r\n");
	templateBuilder.Append("		\r\n");
	templateBuilder.Append("		\r\n");
	templateBuilder.Append("		<div id=\"DisplayMode\" style=\"float:left; padding-left:4px;\">显示方式：\r\n");
	
	if(listt == "0"){
	templateBuilder.Append("<a href=\"" + geturl("listt").ToString() + "0\" ><img src=\"images/display_mode_list_act.gif\" title=\"列表方式\" alt=\"列表方式\" /></a>\r\n");
	
	}else{
	templateBuilder.Append("<a href=\"" + geturl("listt").ToString() + "0\" ><img src=\"images/display_mode_list.gif\" title=\"列表方式\" alt=\"列表方式\" /></a>\r\n");
	
	}	//end if
		
	if(listt == "1"){
	templateBuilder.Append("<a href=\"" + geturl("listt").ToString() + "1\"><img src=\"images/display_mode_grid_act.gif\" title=\"图片方式\" alt=\"图片方式\" /></a>\r\n");
	
	}else{
	templateBuilder.Append("<a href=\"" + geturl("listt").ToString() + "1\"><img src=\"images/display_mode_grid.gif\" title=\"图片方式\" alt=\"图片方式\" /></a>\r\n");
	
	}	//end if
		
	if(listt == "2"){
	templateBuilder.Append("<a href=\"" + geturl("listt").ToString() + "2\"><img src=\"images/display_mode_text_act.gif\" title=\"纯文字方式\" alt=\"纯文字方式\" /></a>\r\n");
	
	}else{
	templateBuilder.Append("<a href=\"" + geturl("listt").ToString() + "2\"><img src=\"images/display_mode_text.gif\" title=\"纯文字方式\" alt=\"纯文字方式\" /></a>\r\n");
	
	}	//end if
		templateBuilder.Append("		</div>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("		<div id=\"ItemAmount\" style=\"float:left; padding-left:10px;\">\r\n");
	templateBuilder.Append("			每页显示数量：\r\n");
				
	if(num == "20"){
	templateBuilder.Append("				<a href=\"" + geturl("num").ToString() + "20\"><img src=\"images/item_amount_20_act.gif\" \r\n");
	templateBuilder.Append("	title=\"每页显示20个宝贝\" alt=\"每页显示20个宝贝\" /></a>\r\n");
				
	}else{
	templateBuilder.Append("				<a href=\"" + geturl("num").ToString() + "20\"><img src=\"images/item_amount_20.gif\" \r\n");
	templateBuilder.Append("	title=\"每页显示20个宝贝\" alt=\"每页显示20个宝贝\" /></a>\r\n");
				
	}	//end if
				
	if(num == "40"){
	templateBuilder.Append("				<a href=\"" + geturl("num").ToString() + "40\"><img src=\"images/item_amount_40_act.gif\" \r\n");
	templateBuilder.Append("	title=\"每页显示40个宝贝\" alt=\"每页显示40个宝贝\" /></a>\r\n");
				
	}else{
	templateBuilder.Append("				<a href=\"" + geturl("num").ToString() + "40\"><img src=\"images/item_amount_40.gif\" \r\n");
	templateBuilder.Append("	title=\"每页显示40个宝贝\" alt=\"每页显示40个宝贝\" /></a>\r\n");
				
	}	//end if
				
	if(num == "80"){
	templateBuilder.Append("				<a href=\"" + geturl("num").ToString() + "80\"><img src=\"images/item_amount_80_act.gif\" \r\n");
	templateBuilder.Append("	title=\"每页显示80个宝贝\" alt=\"每页显示80个宝贝\" /></a>\r\n");
				
	}else{
	templateBuilder.Append("				<a href=\"" + geturl("num").ToString() + "80\"><img src=\"images/item_amount_80.gif\" \r\n");
	templateBuilder.Append("	title=\"每页显示80个宝贝\" alt=\"每页显示80个宝贝\" /></a>\r\n");
				
	}	//end if
	templateBuilder.Append("		</div>\r\n");
	templateBuilder.Append("		\r\n");
	templateBuilder.Append("		<div id=\"SortMode\" style=\"float:left;padding-left:10px;\">\r\n");
	templateBuilder.Append("			排序方式：\r\n");
				
	if(ot == "0" || ot == "1" || ot == "-1"){
					
	if(ot == "0" || ot == "-1"){
	templateBuilder.Append("					<a href=\"" + geturl("ot").ToString() + "1\"><img src=\"images/sortby_time_up_act.gif\"title=\"按默认排列\" alt=\"按默认排列\" /></a>	\r\n");
					
	}else{
	templateBuilder.Append("					<a href=\"" + geturl("ot").ToString() + "0\"><img src=\"images/sortby_time_down_act.gif\"title=\"按默认排列\" alt=\"按默认排列\" /></a>	\r\n");
					
	}	//end if
					
	}else{
	templateBuilder.Append("				<a href=\"" + geturl("ot").ToString() + "0\"><img src=\"images/sortby_time_up.gif\"title=\"按默认排列\" alt=\"按默认排列\" /></a>	\r\n");
				
	}	//end if
				
	if(ot == "2" || ot == "3"){
					
	if(ot == "2"){
	templateBuilder.Append("					<a href=\"" + geturl("ot").ToString() + "3\"><img src=\"images/sortby_price_up_act.gif\"title=\"按价格排列\" alt=\"按价格排列\" /></a>\r\n");
					
	}else{
	templateBuilder.Append("					<a href=\"" + geturl("ot").ToString() + "2\"><img src=\"images/sortby_price_down_act.gif\"title=\"按价格排列\" alt=\"按价格排列\" /></a>\r\n");
					
	}	//end if
					
	}else{
	templateBuilder.Append("				<a href=\"" + geturl("ot").ToString() + "2\"><img src=\"images/sortby_price_up.gif\"title=\"按价格排列\" alt=\"按价格排列\" /></a>\r\n");
				
	}	//end if
				
	if(ot == "4" || ot == "5"){
					
	if(ot == "4"){
	templateBuilder.Append("					<a href=\"" + geturl("ot").ToString() + "5\"><img src=\"images/sortby_time_up_act.gif\"title=\"按时间排列\" alt=\"按时间排列\" /></a>\r\n");
					
	}else{
	templateBuilder.Append("					<a href=\"" + geturl("ot").ToString() + "4\"><img src=\"images/sortby_time_down_act.gif\"title=\"按时间排列\" alt=\"按时间排列\" /></a>\r\n");
					
	}	//end if
				
	}else{
	templateBuilder.Append("				<a href=\"" + geturl("ot").ToString() + "4\"><img src=\"images/sortby_time_up.gif\"title=\"按时间排列\" alt=\"按时间排列\" /></a>\r\n");
				
	}	//end if
	templateBuilder.Append("		</div>\r\n");
	templateBuilder.Append("		\r\n");
	templateBuilder.Append("		<div id=\"QuickPageChanger\" style=\"float:left;padding-left:2px;\">\r\n");
	templateBuilder.Append("			\r\n");
	templateBuilder.Append("		</div>\r\n");
	templateBuilder.Append("		\r\n");
	templateBuilder.Append("		<div style=\"float:left; padding-left:10px;\">\r\n");
	templateBuilder.Append("			<select name=\"viewType\" onchange=\"window.location.href=this.options[this.selectedIndex].value\">\r\n");
	templateBuilder.Append("				<option value=\"\">选择排序/显示方式</option>\r\n");
	templateBuilder.Append("				<optgroup label=\"排序\"> \r\n");
	templateBuilder.Append("					<option value=\"" + geturl("ot").ToString() + "2\" >按价格 从低到高</option>\r\n");
	templateBuilder.Append("					<option value=\"" + geturl("ot").ToString() + "3\" >按价格 从高到低</option>\r\n");
	templateBuilder.Append("					<option value=\"" + geturl("ot").ToString() + "4\" >按发布时间 升序</option>\r\n");
	templateBuilder.Append("					<option value=\"" + geturl("ot").ToString() + "5\" >按发布时间 降序</option>\r\n");
	templateBuilder.Append("					<option value=\"" + geturl("ot").ToString() + "0\" >默认排序 升序</option>\r\n");
	templateBuilder.Append("					<option value=\"" + geturl("ot").ToString() + "1\" >默认排序 降序</option>\r\n");
	templateBuilder.Append("				</optgroup>\r\n");
	templateBuilder.Append("				<optgroup label=\"显示\">\r\n");
	templateBuilder.Append("					<option value=\"" + geturl("listt").ToString() + "0\">列表方式</option>\r\n");
	templateBuilder.Append("					<option value=\"" + geturl("listt").ToString() + "1\">图片方式</option>\r\n");
	templateBuilder.Append("					<option value=\"" + geturl("listt").ToString() + "2\">纯文字方式</option>\r\n");
	templateBuilder.Append("				</optgroup>\r\n");
	templateBuilder.Append("				<optgroup label=\"数量\">\r\n");
	templateBuilder.Append("					<option value=\"" + geturl("num").ToString() + "20\">每页显示20个</option>\r\n");
	templateBuilder.Append("					<option value=\"" + geturl("num").ToString() + "40\">每页显示40个</option>\r\n");
	templateBuilder.Append("					<option value=\"" + geturl("num").ToString() + "80\">每页显示80个</option>\r\n");
	templateBuilder.Append("				</optgroup>\r\n");
	templateBuilder.Append("			</select>		\r\n");
	templateBuilder.Append("		</div>\r\n");
	templateBuilder.Append("		<!--titleend-->\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<!--筛选条件-->\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	<div style=\"width:740px\" id=\"ajaxcontent\">\r\n");
	templateBuilder.Append("	<!--contentstart-->\r\n");
	
	if(listt == "1"){
	templateBuilder.Append("	 <div id=\"part_3\" class=\"list1\">\r\n");
	templateBuilder.Append("<ul>\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","["+cid+"],20,0,0,OrderID,ASC,0,0,["+(pageindex-1)*20+"],[id]$[name]$[srcdetail]$[marketprice]$[memberprice],0,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 20 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<li><span><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img alt=\"" + left(productsearch_member["name"].ToString(),8) + "\" border=\"0\" src='" + gettmpimg(productsearch_member["srcdetail"].ToString(),140,140) + "' width='140' height='140'  /></a></span>\r\n");
	templateBuilder.Append("        <div>\r\n");
	templateBuilder.Append("          <input type=\"checkbox\" name=\"compareid\" value=\"" + productsearch_member["id"].ToString() + "\" />\r\n");
	templateBuilder.Append("          &nbsp; <a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\" target=\"_blank\">" + left(productsearch_member["name"].ToString(),8) + "</a><br />\r\n");
	templateBuilder.Append("            <span>￥" + productsearch_member["marketprice"].ToString() + " 元<br />\r\n");
	templateBuilder.Append("      ￥" + productsearch_member["memberprice"].ToString() + " 元</span> </div></li>\r\n");
	
	if((productsearch__loop__id % 42 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	pagetotal = int.Parse(productsearch_member["totalnum"].ToString());templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul><br clear=all>\r\n");
	getpagecount(20);
	if(pagecount != 1){
	templateBuilder.Append("\r\n");
	
	if(pageindex == 1){
	templateBuilder.Append("<div><img src='../public/images/page/key_pre2b.gif'> <img src='../public/images/page/key_pre1b.gif'> \r\n");
	
	}else{
	templateBuilder.Append("<div><a href=\"" + geturl("page").ToString() + "1\" style=\"color: #000000;\"><img src='../public/images/page/key_pre2.gif'></a> <a href=\"" + geturl("page").ToString() + "" + (pageindex-1).ToString() + "\" style=\"color: #000000;\"><img src='../public/images/page/key_pre1.gif'></a> \r\n");
	
	}	//end if
	
	for(int i = (pageindex<5?1:pageindex-4); i < (pageindex<5?9:(pageindex+4)); i++){
	
	if(pageindex == i){
	templateBuilder.Append("<b>" + pageindex.ToString() + "</b>\r\n");
	
	}else{
	templateBuilder.Append("<a href=\"" + geturl("page").ToString() + "" + i.ToString() + "\" style=\"color: #000000;\">" + i.ToString() + "</a>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	if(i >= pagecount){
	templateBuilder.Append("\r\n");
	break;templateBuilder.Append("\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	if(pageindex == pagecount){
	templateBuilder.Append("<font color=#999999 title=\"下一页\"><img src='../public/images/page/key_next1b.gif'></font> <font color=#999999 title=\"尾页\"><img src='../public/images/page/key_next2b.gif'></font>\r\n");
	
	}else{
	templateBuilder.Append("<a href=\"" + geturl("page").ToString() + "" + (pageindex+1).ToString() + "\" style=\"color: #000000;\"><img src='../public/images/page/key_next1.gif'></a> <a href=\"" + geturl("page").ToString() + "" + pagecount.ToString() + "\" style=\"color: #000000;\" title=\"尾页\"><img src='../public/images/page/key_next2.gif'></a>\r\n");
	
	}	//end if
	templateBuilder.Append("</div>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	templateBuilder.Append("</div>\r\n");
	
	}else{
		
	if(listt == "2"){
	templateBuilder.Append("	<div class=\"list4\" id=\"part_3\">\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","["+cid+"],20,0,0,OrderID,ASC,0,0,["+(pageindex-1)*20+"],[id]$[name]$[number]$[shortcontent]$[memberprice]$[marketprice]$[storage],0,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 20 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<div class=\"list4v\"> \r\n");
	templateBuilder.Append("    <DIV style=\"PADDING:35px 10px 0; FLOAT: left; WIDTH: 30px;\"><input type=\"checkbox\" name=\"compareid\" value=\"" + productsearch_member["id"].ToString() + "\" /></DIV>\r\n");
	templateBuilder.Append("      <DIV style=\"FLOAT: left; WIDTH: 425px; LINE-HEIGHT: 18px; PADDING-TOP: 20px\"><B><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\" target=\"_blank\">" + left(productsearch_member["name"].ToString(),28) + "</A></B> <BR>\r\n");
	templateBuilder.Append("        <SPAN class=link9>货号: <a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\" target=\"_blank\">" + productsearch_member["number"].ToString() + "</A><BR>\r\n");
	templateBuilder.Append("简介: <font color=\"#858585\">" + left(productsearch_member["shortcontent"].ToString(),80) + "</font></SPAN> </DIV>\r\n");
	templateBuilder.Append("      <DIV style=\"FLOAT: left; WIDTH: 100px; PADDING-TOP: 25px\" align=center><FONT style=\"FONT-WEIGHT: bold; FONT-SIZE: 14px; COLOR: #cc0000\">￥" + productsearch_member["memberprice"].ToString() + "</FONT><BR>市场价:<FONT style=\"FONT-SIZE: 10px\">" + productsearch_member["marketprice"].ToString() + "</FONT> </DIV>\r\n");
	templateBuilder.Append("  <DIV style=\"FLOAT: left; WIDTH: 65px; COLOR: #000000; PADDING-TOP: 35px\" align=center>" + productsearch_member["storage"].ToString() + " 件 </DIV>\r\n");
	templateBuilder.Append("  <DIV style=\"FLOAT: right; WIDTH: 100px; PADDING-TOP: 25px\" align=center><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img alt=\"\" border=\"0\" src=\"images/products/list_detail.gif\" /></a> <a target=\"_blank\" href=\"/0418/cart.aspx?act=collect&id=" + productsearch_member["id"].ToString() + "\"><img alt=\"\" border=\"0\" src=\"images/products/list_collect.gif\" /></a><br />\r\n");
	templateBuilder.Append("<a target=\"_blank\" href=\"/0418/cart.aspx?act=buy&id=" + productsearch_member["id"].ToString() + "\"><img alt=\"\" border=\"0\" src=\"images/products/list_buy.gif\" /></a></DIV>\r\n");
	templateBuilder.Append("  </div>\r\n");
	pagetotal = int.Parse(productsearch_member["totalnum"].ToString());templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("<br clear=all>\r\n");
	getpagecount(20);
	if(pagecount != 1){
	templateBuilder.Append("\r\n");
	
	if(pageindex == 1){
	templateBuilder.Append("<div><img src='../public/images/page/key_pre2b.gif'> <img src='../public/images/page/key_pre1b.gif'> \r\n");
	
	}else{
	templateBuilder.Append("<div><a href=\"" + geturl("page").ToString() + "1\" style=\"color: #000000;\"><img src='../public/images/page/key_pre2.gif'></a> <a href=\"" + geturl("page").ToString() + "" + (pageindex-1).ToString() + "\" style=\"color: #000000;\"><img src='../public/images/page/key_pre1.gif'></a> \r\n");
	
	}	//end if
	
	for(int i = (pageindex<5?1:pageindex-4); i < (pageindex<5?9:(pageindex+4)); i++){
	
	if(pageindex == i){
	templateBuilder.Append("<b>" + pageindex.ToString() + "</b>\r\n");
	
	}else{
	templateBuilder.Append("<a href=\"" + geturl("page").ToString() + "" + i.ToString() + "\" style=\"color: #000000;\">" + i.ToString() + "</a>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	if(i >= pagecount){
	templateBuilder.Append("\r\n");
	break;templateBuilder.Append("\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	if(pageindex == pagecount){
	templateBuilder.Append("<font color=#999999 title=\"下一页\"><img src='../public/images/page/key_next1b.gif'></font> <font color=#999999 title=\"尾页\"><img src='../public/images/page/key_next2b.gif'></font>\r\n");
	
	}else{
	templateBuilder.Append("<a href=\"" + geturl("page").ToString() + "" + (pageindex+1).ToString() + "\" style=\"color: #000000;\"><img src='../public/images/page/key_next1.gif'></a> <a href=\"" + geturl("page").ToString() + "" + pagecount.ToString() + "\" style=\"color: #000000;\" title=\"尾页\"><img src='../public/images/page/key_next2.gif'></a>\r\n");
	
	}	//end if
	templateBuilder.Append("</div>\r\n");
	
	}	//end if
	templateBuilder.Append("</div>\r\n");
		
	}else{
	templateBuilder.Append("	<div class=\"list3\" id=\"part_3\">\r\n");
	
	productsearch__loop__id=0;
	foreach(DataRow productsearch_member in getTable("productsearch","["+cid+"],20,0,0,OrderID,ASC,0,0,["+(pageindex-1)*20+"],[id]$[name]$[srcdetail]$[number]$[shortcontent]$[memberprice]$[marketprice]$[storage],0,["+wd+"],["+vid+"],["+pid+"],["+brandid+"],[0],[0],["+startprice+"],["+endprice+"],["+shortname+"]").Rows)
	{
	if(productsearch__loop__id == 20 && productsearch__loop__id != 0) break;
		productsearch__loop__id++;
	templateBuilder.Append("<div class=\"list3v\"> \r\n");
	templateBuilder.Append("  <DIV style=\"PADDING-LEFT: 10px; FLOAT: left; WIDTH: 130px; HEIGHT: 100px\"><input type=\"checkbox\" name=\"compareid\" value=\"" + productsearch_member["id"].ToString() + "\" />\r\n");
	templateBuilder.Append("  <span><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img align=\"absmiddle\" alt=\"" + productsearch_member["name"].ToString() + "\" border=\"0\" src='" + gettmpimg(productsearch_member["srcdetail"].ToString(),100,100) + "' width='100' height='100'  /></a></span></DIV>\r\n");
	templateBuilder.Append("  <DIV style=\"FLOAT: left; WIDTH: 325px; LINE-HEIGHT: 18px; PADDING-TOP: 10px\"><B><a title=\"" + productsearch_member["name"].ToString() + "\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\">" + left(productsearch_member["name"].ToString(),28) + "</a></B> <BR><SPAN class=link9>货号: <a title=\"" + left(productsearch_member["name"].ToString(),28) + "\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\">" + productsearch_member["number"].ToString() + "</a><BR>\r\n");
	templateBuilder.Append("简介: <font color=\"#858585\">" + left(productsearch_member["shortcontent"].ToString(),80) + "</font></SPAN> </DIV>\r\n");
	templateBuilder.Append("  <DIV style=\"FLOAT: left; WIDTH: 100px; PADDING-TOP: 25px\" align=center><FONT style=\"FONT-WEIGHT: bold; FONT-SIZE: 14px; COLOR: #cc0000\">￥" + productsearch_member["memberprice"].ToString() + "</FONT><BR>市场价:<FONT style=\"FONT-SIZE: 10px\">" + productsearch_member["marketprice"].ToString() + "</FONT> </DIV>\r\n");
	templateBuilder.Append("  <DIV style=\"FLOAT: left; WIDTH: 65px; COLOR: #000000; PADDING-TOP: 35px\" align=center>" + productsearch_member["storage"].ToString() + " 件 </DIV>\r\n");
	templateBuilder.Append("  <DIV style=\"FLOAT: right; WIDTH: 100px; PADDING-TOP: 25px\" align=center><a target=\"_blank\" href=\"/0418/product.aspx?id=" + productsearch_member["id"].ToString() + "\"><img alt=\"\" border=\"0\" src=\"images/products/list_detail.gif\" /></a> <a target=\"_blank\" href=\"/0418/cart.aspx?act=collect&id=" + productsearch_member["id"].ToString() + "\"><img alt=\"\" border=\"0\" src=\"images/products/list_collect.gif\" /></a><br />\r\n");
	templateBuilder.Append("<a target=\"_blank\" href=\"/0418/cart.aspx?act=buy&id=" + productsearch_member["id"].ToString() + "\"><img alt=\"\" border=\"0\" src=\"images/products/list_buy.gif\" /></a></DIV>\r\n");
	templateBuilder.Append("</li>\r\n");
	templateBuilder.Append("</div>\r\n");
	pagetotal = int.Parse(productsearch_member["totalnum"].ToString());templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("<br clear=all>\r\n");
	getpagecount(20);
	if(pagecount != 1){
	templateBuilder.Append("\r\n");
	
	if(pageindex == 1){
	templateBuilder.Append("<div><img src='../public/images/page/key_pre2b.gif'> <img src='../public/images/page/key_pre1b.gif'> \r\n");
	
	}else{
	templateBuilder.Append("<div><a href=\"" + geturl("page").ToString() + "1\" style=\"color: #000000;\"><img src='../public/images/page/key_pre2.gif'></a> <a href=\"" + geturl("page").ToString() + "" + (pageindex-1).ToString() + "\" style=\"color: #000000;\"><img src='../public/images/page/key_pre1.gif'></a> \r\n");
	
	}	//end if
	
	for(int i = (pageindex<5?1:pageindex-4); i < (pageindex<5?9:(pageindex+4)); i++){
	
	if(pageindex == i){
	templateBuilder.Append("<b>" + pageindex.ToString() + "</b>\r\n");
	
	}else{
	templateBuilder.Append("<a href=\"" + geturl("page").ToString() + "" + i.ToString() + "\" style=\"color: #000000;\">" + i.ToString() + "</a>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	if(i >= pagecount){
	templateBuilder.Append("\r\n");
	break;templateBuilder.Append("\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	if(pageindex == pagecount){
	templateBuilder.Append("<font color=#999999 title=\"下一页\"><img src='../public/images/page/key_next1b.gif'></font> <font color=#999999 title=\"尾页\"><img src='../public/images/page/key_next2b.gif'></font>\r\n");
	
	}else{
	templateBuilder.Append("<a href=\"" + geturl("page").ToString() + "" + (pageindex+1).ToString() + "\" style=\"color: #000000;\"><img src='../public/images/page/key_next1.gif'></a> <a href=\"" + geturl("page").ToString() + "" + pagecount.ToString() + "\" style=\"color: #000000;\" title=\"尾页\"><img src='../public/images/page/key_next2.gif'></a>\r\n");
	
	}	//end if
	templateBuilder.Append("</div>\r\n");
	
	}	//end if
	templateBuilder.Append("</div>\r\n");
		
	}	//end if
	
	}	//end if
	templateBuilder.Append("	<!--contentend-->\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("	\r\n");
	templateBuilder.Append("    <br clear=\"all\" />\r\n");
	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("<br clear=\"all\" />\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"bottom1\"><div class=\"bottom11\"><img alt=\"\" src=\"images/bottom/bgt.gif\" /></div><div class=\"bottom12\"><div class=\"bottom12m\"><div class=\"bottom12ml\"><div><img alt=\"\" src=\"images/bottom/helplabel.gif\" /></div><div class=\"bottom12mlkey\"><a target=\"_blank\" href=\"/0418/helpindex.aspx\">商城帮助</a></div><div class=\"bottom12mlkey\"><a target=\"_blank\" href=\"/0418/shippingadvice.aspx\">发货通知</a></div><div class=\"bottom12mlkey\"><a target=\"_blank\" href=\"/0418/poll.aspx\">问卷调查</a></div><div class=\"bottom12mlkey\"><a target=\"_blank\" href=\"/0418/subscription.aspx\">邮件订阅</a></div></div><div class=\"bottom12mr\"><ul>\r\n");
	
	helpcategorysearch__loop__id=0;
	foreach(DataRow helpcategorysearch_member in getTable("helpcategorysearch","[id]$[name]").Rows)
	{
	if(helpcategorysearch__loop__id == 6 && helpcategorysearch__loop__id != 0) break;
		helpcategorysearch__loop__id++;
	templateBuilder.Append("<li><div class=\"helpcate\"><a target=\"_blank\" href=\"/0418/helplist.aspx?id=" + helpcategorysearch_member["id"].ToString() + "\">" + left(helpcategorysearch_member["name"].ToString(),6) + "</a></div>\r\n");
	templateBuilder.Append("<div class=\"helplist\"><ul>\r\n");
	
	helpsearchbyid__loop__id=0;
	foreach(DataRow helpsearchbyid_member in getTable("helpsearchbyid","["+helpcategorysearch_member["id"]+"],[id]$[title]").Rows)
	{
	if(helpsearchbyid__loop__id == 5 && helpsearchbyid__loop__id != 0) break;
		helpsearchbyid__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"/0418/help.aspx?id=" + helpsearchbyid_member["id"].ToString() + "\">" + left(helpsearchbyid_member["title"].ToString(),30) + "</a></li>\r\n");
	
	if((helpsearchbyid__loop__id % 1 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div></li>\r\n");
	
	if((helpcategorysearch__loop__id % 50 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul></div></div></div><div class=\"bottom11\"><img alt=\"\" src=\"images/bottom/bgb.gif\" /></div></div><div class=\"bottom2\">\r\n");
	templateBuilder.Append("  <div class=\"bottom2m\">\r\n");
	templateBuilder.Append("    <div id=\"link1\">\r\n");
	templateBuilder.Append("      <ul>\r\n");
	
	imglinksearch__loop__id=0;
	foreach(DataRow imglinksearch_member in getTable("imglinksearch","[id]$[href]$[name]$[src]").Rows)
	{
	if(imglinksearch__loop__id == 10 && imglinksearch__loop__id != 0) break;
		imglinksearch__loop__id++;
	templateBuilder.Append("<li><a target=\"_blank\" href=\"" + imglinksearch_member["href"].ToString() + "\"><img alt=\"" + left(imglinksearch_member["name"].ToString(),30) + "\" border=\"0\" src='" + gettmpimg(imglinksearch_member["src"].ToString(),100,33) + "' width='100' height='33'  /></a></li>\r\n");
	
	if((imglinksearch__loop__id % 100 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul>\r\n");
	templateBuilder.Append("    </div>\r\n");
	templateBuilder.Append("    <div id=\"link2\">\r\n");
	templateBuilder.Append("      <ul>\r\n");
	
	wordlinksearch__loop__id=0;
	foreach(DataRow wordlinksearch_member in getTable("wordlinksearch","[id]$[name]$[href]").Rows)
	{
	if(wordlinksearch__loop__id == 10 && wordlinksearch__loop__id != 0) break;
		wordlinksearch__loop__id++;
	templateBuilder.Append("<li><a title=\"" + left(wordlinksearch_member["name"].ToString(),30) + "\" target=\"_blank\" href=\"" + wordlinksearch_member["href"].ToString() + "\">" + left(wordlinksearch_member["name"].ToString(),30) + "</a></li>\r\n");
	
	if((wordlinksearch__loop__id % 10 == 0)){
	templateBuilder.Append("</ul><ul>\r\n");
	
	}	//end if
	templateBuilder.Append("\r\n");
	
	}	//end loop
	templateBuilder.Append("</ul>\r\n");
	templateBuilder.Append("    </div>\r\n");
	templateBuilder.Append("  </div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"bottom3\"><div class=\"bottom3l\"><a href=\"/0418/index.aspx\"><img alt=\"\" width=\"236\" border=\"0\" src=\"" + logo.ToString() + "\" /></a></div><div class=\"bottom3r\"><span class=\"bottom3rA\">\r\n");
	
	infosearch__loop__id=0;
	foreach(DataRow infosearch_member in getTable("infosearch","[id]$[title]$[byname]").Rows)
	{
	if(infosearch__loop__id == 9 && infosearch__loop__id != 0) break;
		infosearch__loop__id++;
	templateBuilder.Append("<a title=\"" + left(infosearch_member["title"].ToString(),6) + "\" target=\"_blank\" href=\"/0418/content.aspx?wd=" + infosearch_member["byname"].ToString() + "\">" + left(infosearch_member["title"].ToString(),6) + "</a> |\r\n");
	
	}	//end loop
	templateBuilder.Append(" <a target=\"_blank\" href=\"/0418/sitemap.aspx\">网站地图</a></span><br /><br />" + copyright.ToString() + " <br /><a target=\"_blank\" href=\"http://www.miibeian.gov.cn/\">" + icp.ToString() + "</a></div></div>" + jscontent.ToString() + " " + kft.ToString() + "<script src=\"/0418/js_floatqq.aspx\"></"+"script>\r\n");
	templateBuilder.Append("</center>\r\n");
	templateBuilder.Append("\r\n");
	templateBuilder.Append("</body>\r\n");
	templateBuilder.Append("</html>\r\n");
	templateBuilder.Append("\r\n");
	
templateBuilder.Append("<center style='font-size:12px;'>Designed By：<strong><a href='http://www.v5shop.com.cn/' target='_blank'>V5Shop</a></strong></center>");
	Response.Write(templateBuilder.ToString());
//init cache
	CacheManager testcaching = CacheFactory.GetCacheManager();
	if(!testcaching.Contains(Request.Url.ToString()))
	{
		testcaching.Add(Request.Url.ToString(), templateBuilder.ToString());
	}
}
</script>
